Package org.h2gis.functions.spatial.create

# Class ST_MakeGrid

java.lang.Object
org.h2gis.api.AbstractFunction
org.h2gis.functions.spatial.create.ST_MakeGrid

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

public class ST_MakeGrid extends org.h2gis.api.AbstractFunction implements org.h2gis.api.ScalarFunction
Create a regular grid based on a table or a geometry envelope. The geometry envelope could be expressed using a subquery as (SELECT the_geom from myTable)

Author:
  Erwan Bocher

## Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

## Constructor Summary

Constructors
Constructor
Description
`ST_MakeGrid()`

## Method Summary

Modifier and Type
Method
Description
`static ResultSet`
`createGrid(Connection connection, org.h2.value.Value value, double deltaX, double deltaY)`
Create a regular grid using the first input argument to compute the full extent.
`static ResultSet`
`createGrid(Connection connection, org.h2.value.Value value, double deltaX, double deltaY, boolean isColumnsRowsMeasure)`
Create a regular grid using the first input argument to compute the full extent.
`String`
`getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

## Constructor Details

### ST_MakeGrid

public ST_MakeGrid()

## Method Details

### getJavaStaticMethod

public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

### createGrid

public static ResultSet createGrid(Connection connection, org.h2.value.Value value, double deltaX, double deltaY) throws SQLException
Create a regular grid using the first input argument to compute the full extent.

Parameters:
  `connection` -
  `value` - could be the name of a table or a geometry.
  `deltaX` - the X cell size
  `deltaY` - the Y cell size
Returns:
  a resultset that contains all cells as a set of polygons
Throws:
  `SQLException`

### createGrid

public static ResultSet createGrid(Connection connection, org.h2.value.Value value, double deltaX, double deltaY, boolean isColumnsRowsMeasure) throws SQLException
Create a regular grid using the first input argument to compute the full extent.

Parameters:
  `connection` -
  `value` - could be the name of a table or a geometry.
  `deltaX` - the X cell size
  `deltaY` - the Y cell size
Returns:
  a resultset that contains all cells as a set of polygons
Throws:
  `SQLException`